Quassel IRC - Bug #681

Please fix the Private messages sent to ops in +mz channels
04/24/2009 11:47 AM - jussiO1

Status: Resolved Start date: 04/24/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.41 0S: Any
Description

[13:01:29] <jussiO1> [12:55:32] <Kvant> jussiO1, it's sent to ops as regular privmsg:s

[13:01:29] <jussi01> [12:57:06] <bagelcat> jussiO1: irc has RFC’s as followed: . RFC 1459, RFC 2810, RFC 2811, RFC 2812 and
RFC 2813

[13:01:29] <jussiO1> [12:57:25] <spb> and they're all obsolete

[13:01:29] <jussi01> [12:57:39] <bagelcat> hmm..

[18:01:29] <jussi01> [12:57:54] <spb> jussiO1: ops will see all text sent to the channel, as though +m weren't there

[13:01:29] <jussiO1> [12:58:10] <spb> jussiO1: non-ops will see only text sent by +v or +0 users, as though +z weren't there
[13:03:26] <jussi01> [13:02:56] <Kvant> jussiO1, seems there's an extra space sent before the channel name

[13:03:49] <Sput> aah that could be the culprit

Associated revisions

Revision 477eadcad3381620af859e3f4f91daaa67a17cbe - 05/07/2009 08:53 PM - Manuel Nickschas

Properly handle multiple spaces in a row in msgs sent by (faulty?) ircds

Fixes #681.

Revision 477eadca - 05/07/2009 08:53 PM - Manuel Nickschas

Properly handle multiple spaces in a row in msgs sent by (faulty?) ircds

Fixes #681.

Revision 6f69d56e0725945e38f9bcfb30573417bbc01b62 - 05/07/2009 08:54 PM - Manuel Nickschas
Properly handle multiple spaces in a row in msgs sent by (faulty?) ircds

Fixes #681.

Revision 6f69d56e - 05/07/2009 08:54 PM - Manuel Nickschas

Properly handle multiple spaces in a row in msgs sent by (faulty?) ircds

Fixes #681.

History

#1 - 05/07/2009 09:05 PM - Sputnick
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 477eadcad3381620af859e3f4f91daaa67al7cbe.
